<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.financial.TbBudgetSubMapper">
    <insert id="insertOrUpdate" parameterType="java.util.List" >
            INSERT INTO tb_budgetsub 
            (pk_obj,createddate,objname,objcode,pk_parent) 
            VALUES  
            <foreach collection="tbs" item="bdlist"  separator=",">         
            (#{bdlist.pk_obj},#{bdlist.createddate},#{bdlist.objname},#{bdlist.objcode},#{bdlist.pk_parent})             
            </foreach>                      
    </insert>
</mapper>